#!/usr/bin/make -f
# -*- makefile -*-

# Comment this to turn off verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DGENERATE_DOCUMENTATION=ON	\
	                     -Duse_libhud2=OFF			\
	                     $(NULL)

override_dh_install:
	mv debian/tmp/usr/share/doc/lomiri-action debian/tmp/usr/share/doc/lomiri-action-doc
	rdfind -makesymlinks true "debian/tmp/usr/share/doc/lomiri-action-doc/"
	symlinks -rc "debian/tmp/usr/share/doc/lomiri-action-doc/"
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -Nqml-module-lomiri-action

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
